QGIS Application - Bug report #13586
Processing: ‘Catchment Area’ fails
2015-10-13 08:53 AM - Paolo Cavallini

Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/SAGA

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 21628
Description

This fails:

ta_hydrology "Catchment Area (Parallel)" -ELEVATION "/tmp/processing/6795f55ba4334cfa9fe27798fc5d4571/dem25.sgrd" -METHOD
0 -CAREA "/tmp/processing/6b92eccecfff48b3bd6479320eba1096/CAREA.sdat"
Error: select a tool

A ttol must be selected.

tools:

0 - Flow Accumulation (Top-Down)

1 - Flow Accumulation (Recursive)

2 - Flow Accumulation (Flow Tracing)

This works:

saga_cmd ta_hydrology 0 -ELEVATION "/tmp/processing/6795f55ba4334cfa9fe27798fc5d4571/dem25.sgrd" -METHOD 0 -CAREA
"/tmp/processing/6b92eccecfff48b3bd6479320eba1096/CAREA.sdat"

History

#1 - 2015-10-13 09:52 AM - Paolo Cavallini

Fixed with commit:3d1c714

Leaving it open, as more modules may require the same intervention.

#2 - 2015-10-15 09:22 AM - Giovanni Manghi

all fixed now

https://github.com/qgis/QGIS/pull/2375

#3 - 2015-10-15 09:59 AM - Giovanni Manghi
- Resolution set to fixed/implemented
- Status changed from Open to Closed
